> For the complete documentation index, see [llms.txt](https://docs.countercyclical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.countercyclical.io/developers/endpoints/memos.md).

# Memos

## Get Memos

<mark style="color:green;">`GET`</mark> `/memos`

Returns [Memos](/fundamentals/memos.md) based on a user and the workspace they're in.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Query Parameters**

| Name     | Required                              | Type   | Description |
| -------- | ------------------------------------- | ------ | ----------- |
| `apiKey` | <mark style="color:green;">Yes</mark> | string | API key     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "id": "2A6g0PW0tlNJvdz7OmZ8uRd_",
    "type": "Private",
    "favorited": false,
    "locked": false,
    "archived": false,
    "banner": "",
    "avatar": "",
    "emoji": "",
    "icon": "",
    "foregroundColor": "",
    "backgroundColor": "",
    "title": "Untitled Memo",
    "body": "<p>This is my new memo</p>",
    "documentType": "Draft",
    "publiclyVisible": false,
    "bannerVisible": false,
    "tocVisible": true,
    "sourcesVisible": true,
    "views": 0,
    "createdAt": "2024-02-25T17:36:03.886Z",
    "updatedAt": "2024-03-29T18:31:57.112Z"
  },
  ...
]
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}
